ZIP_ERROR_TO_DATA(3)

NAME
zip_error_to_data - convert zip_error to return value suitable for ZIP_SOURCE_ERROR

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>
zip_int64_t
zip_error_to_data(const zip_error_t *ze, void *data, zip_uint64_t len);

DESCRIPTION
zip_error_to_data() function converts the zip_error ze into data suitable as return value for ZIP_SOURCE_ERROR. The data is written into the buffer data of size len. If the buffer is not large enough to hold 2 ints, an error is returned.

RETURN VALUES
zip_error_to_data() returns 2*(sizeof int) on success, and -1 on error.

SEE ALSO
libzip(3), zip_source_function(3)

HISTORY
zip_error_to_data() was added in libzip 1.0.

AUTHORS
-nosplit Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>